#include <bits/stdc++.h>

using namespace std;

int main(){
    int n, x, p;
    cin >> n >> x;
    int najv = 0, najm = INT_MAX;
    for(int i = 0;i < n;i++){
        cin >> p;
        if(p < najm) najm = p;
        if(p > najv) najv = p;
    }
    int vreme = 0;
    if(najm < x && najv > x)
        if(x - najm < najv - x)
            vreme = (x - najm)*2 + (najv - x);
        else
            vreme = (najv - x)*2 + (x - najm);
    else if(najm < x && najv < x)
        vreme = x - najm;
    else if(najm > x && najv > x)
        vreme = najv - x;
    cout << vreme;
    return 0;
}